For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Projects

List project memories

||View as Markdown|
GET
https://tester.army/v1/projects/:projectId/memories
GET
/v1/projects/:projectId/memories
$curl https://tester.army/v1/projects/projectId/memories \
> -H "Authorization: Bearer <token>"
1{
2 "memories": [
3 {
4 "id": "string",
5 "category": "site_structure",
6 "title": "string",
7 "content": "string",
8 "importance": "high",
9 "createdAt": "2024-01-15T09:30:00Z",
10 "updatedAt": "2024-01-15T09:30:00Z"
11 }
12 ],
13 "count": 1,
14 "maxMemories": 1
15}
List manual project memories used as context for dashboard tests and agents.
Was this page helpful?
Previous

Create a project credential

Next

Create a project memory

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

projectIdstringRequired
Project ID or shortId

Response

List of project memories
memorieslist of objects
countinteger
maxMemoriesinteger

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error